%define api		1.0
%define clutterapi	1.0
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedevel	%mklibname -d %{name} %{api}

%define gi_major	1.0
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GTK Support for Clutter
Name:		clutter-gtk
Version:	1.2.0
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		clutter-gtk-1.1.2-prefix.patch
License:	LGPLv2+
Group:		Graphics
Url:		http://clutter-project.org/
BuildRequires: pkgconfig(clutter-1.0) >= 1.9.1
BuildRequires: pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires: pkgconfig(gl)
BuildRequires: gobject-introspection-devel
BuildRequires: gettext-devel
BuildRequires: gnome-common
BuildRequires: gtk-doc

%description
A library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GTK Support for Clutter
Group:		Graphics
Requires:	%{name}-i18n >= %{version}-%{release}
Obsoletes:	%{mklibname clutter-gtk 0.10 0} < 1.1.2

%description -n %{libname}
A library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%_libdir/girepository-1.0/GtkClutter-%api.typelib

#----------------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This contains the translation data for %{name}.

%files i18n -f cluttergtk-%{api}.lang

#----------------------------------------------------------------------------

%package -n %{libnamedevel}
Summary:	Development headers/libraries for %name
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname -d clutter-gtk 0.10} < 1.1.2

%description -n %{libnamedevel}
Development headers/libraries for %name (see %libname package)

%files -n %{libnamedevel}
%doc %{_datadir}/gtk-doc/html/%{name}-%{clutterapi}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/%{name}-%{clutterapi}/%{name}
%{_datadir}/gir-1.0/GtkClutter-%{api}.gir

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-rpath \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang cluttergtk-%{api}


%changelog

* Fri Mar 23 2012 ovitters <ovitters> 1.2.0-1.mga2
+ Revision: 225832
- new version 1.2.0

* Tue Mar 06 2012 fwang <fwang> 1.1.2-5.mga2
+ Revision: 220038
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 1.1.2-4.mga2
+ Revision: 212380
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 1.1.2-3.mga2
+ Revision: 197223
- br gtk-doc
- use gnome-autogen
- set i18n as noarch package
- fix doc prefix

* Sun Dec 04 2011 wally <wally> 1.1.2-2.mga2
+ Revision: 176199
- obsolete old clutter-gtk0.10 pkgs

* Wed Nov 23 2011 wally <wally> 1.1.2-1.mga2
+ Revision: 171392
- new version 1.1.2
- add some configure options to ensure wanted build options

* Tue Nov 22 2011 wally <wally> 1.0.4-3.mga2
+ Revision: 171030
- rebuild for new cogl and clutter
- clean .spec a bit

* Tue Sep 27 2011 ovitters <ovitters> 1.0.4-2.mga2
+ Revision: 149347
- new version 1.0.4

* Mon Sep 19 2011 wally <wally> 1.0.2-2.mga2
+ Revision: 145757
- rebuild for new cogl
- new version 1.0.2
- use .tar.xz sources from gnome
- add i18n subpackage
- don't regenerate gtk-docs on build time
- clean .spec a bit

  + fwang <fwang>
    - rebuild for new cogl

* Thu Jul 07 2011 dmorgan <dmorgan> 1.0.0-2.mga2
+ Revision: 119775
- Split gir files of the lib package

* Thu Jun 09 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 102362
- New version 1.0.0

* Mon Jan 24 2011 pterjan <pterjan> 0.10.8-1.mga1
+ Revision: 37790
- Add upstream patches to compile with latest gobject-introspection
- Drop old stuff
- imported package clutter-gtk


* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.10.8-1mdv2011.0
+ Revision: 578979
- new version
- drop patch
- fix build with current gtk+

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdv2011.0
+ Revision: 577995
- rebuild for new g-i

* Thu Aug 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdv2011.0
+ Revision: 569292
- update to new version 0.10.6

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.4-2mdv2011.0
+ Revision: 563764
- rebuild for new clutter

* Mon Mar 22 2010 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 526343
- new version
- drop merged patches

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-7mdv2010.1
+ Revision: 518428
- fix patch 1 (thanks to Keruspe)

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-6mdv2010.1
+ Revision: 518418
- fix build with new gtk

* Fri Feb 12 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-5mdv2010.1
+ Revision: 504647
- rebuild for new clutter

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-4mdv2010.0
+ Revision: 417561
- fix introspection patch

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-3mdv2010.0
+ Revision: 417246
- fix for new gobject-introspection
- update build deps for doc generation

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-2mdv2010.0
+ Revision: 415263
- move typelib to library package

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2010.0
+ Revision: 404519
- new version
- new API
- bump clutter dep

* Tue Jun 23 2009 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 388740
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.9.1-0.20090616.1mdv2010.0
+ Revision: 386363
- fix version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.9.0-0.20090616.1mdv2010.0
+ Revision: 386359
- update build deps
- new snapshot
- enable introspection

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.9.0-0.20090511.1mdv2010.0
+ Revision: 374529
- git snapshot
- new api
- bump deps

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 343558
- new version
- fix source URL
- update license
- use the right configure macro

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdv2009.1
+ Revision: 302648
- rebuilt against new libxcb

* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2009.1
+ Revision: 302234
- rebuilt against new libxcb

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-1mdv2009.1
+ Revision: 301073
- 0.8.2

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8.1-1mdv2009.0
+ Revision: 284373
- New version: 0.8.1

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 243539
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Thu Feb 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 173782
- Improve description

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173178
- New version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-1mdv2008.1
+ Revision: 136322
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 60532
- New version: 0.4.0
- Import clutter-gtk

